Skip to main content
GET
/
api
/
v3
/
store
/
customer
/
orders
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const orders = await client.store.customer.orders.list({
  page: 1,
  limit: 25,
}, {
  bearerToken: '<token>',
})
{
  "data": [
    {
      "id": "or_UkLWZg9DAJ",
      "number": "R874633979",
      "state": "cart",
      "token": "Hq5793rpZkqis7UvdtsR3pHbYrZ7PTnnZfb",
      "email": "james@nitzschemarquardt.co.uk",
      "special_instructions": null,
      "currency": "USD",
      "locale": "en",
      "item_count": 1,
      "state_lock_version": 0,
      "shipment_state": null,
      "payment_state": null,
      "item_total": "10.0",
      "display_item_total": "$10.00",
      "ship_total": "100.0",
      "display_ship_total": "$100.00",
      "adjustment_total": "0.0",
      "display_adjustment_total": "$0.00",
      "promo_total": "0.0",
      "display_promo_total": "$0.00",
      "tax_total": "0.0",
      "display_tax_total": "$0.00",
      "included_tax_total": "0.0",
      "display_included_tax_total": "$0.00",
      "additional_tax_total": "0.0",
      "display_additional_tax_total": "$0.00",
      "total": "110.0",
      "display_total": "$110.00",
      "completed_at": null,
      "created_at": "2026-03-04T21:02:06.763Z",
      "updated_at": "2026-03-04T21:02:06.818Z",
      "order_promotions": [],
      "line_items": [
        {
          "id": "li_UkLWZg9DAJ",
          "variant_id": "variant_UkLWZg9DAJ",
          "quantity": 1,
          "currency": "USD",
          "name": "Product 133112",
          "slug": "product-133112",
          "options_text": "",
          "price": "10.0",
          "display_price": "$10.00",
          "total": "10.0",
          "display_total": "$10.00",
          "adjustment_total": "0.0",
          "display_adjustment_total": "$0.00",
          "additional_tax_total": "0.0",
          "display_additional_tax_total": "$0.00",
          "included_tax_total": "0.0",
          "display_included_tax_total": "$0.00",
          "promo_total": "0.0",
          "display_promo_total": "$0.00",
          "pre_tax_amount": "10.0",
          "display_pre_tax_amount": "$10.00",
          "discounted_amount": "10.0",
          "display_discounted_amount": "$10.00",
          "display_compare_at_amount": "$0.00",
          "created_at": "2026-03-04T21:02:06.792Z",
          "updated_at": "2026-03-04T21:02:06.792Z",
          "compare_at_amount": null,
          "thumbnail_url": null,
          "option_values": [],
          "digital_links": []
        }
      ],
      "shipments": [
        {
          "id": "ship_UkLWZg9DAJ",
          "number": "H58323602865",
          "state": "pending",
          "tracking": "U10000",
          "tracking_url": null,
          "cost": "100.0",
          "display_cost": "$100.00",
          "shipped_at": null,
          "created_at": "2026-03-04T21:02:06.796Z",
          "updated_at": "2026-03-04T21:02:06.811Z",
          "shipping_method": {
            "id": "shpm_UkLWZg9DAJ",
            "name": "UPS Ground",
            "code": "UPS_GROUND"
          },
          "stock_location": {
            "id": "sloc_UkLWZg9DAJ",
            "state_abbr": "STATE_ABBR_100",
            "name": "Alaina Schmitt",
            "address1": "1600 Pennsylvania Ave NW",
            "city": "Washington",
            "zipcode": "20500",
            "country_iso": "US",
            "country_name": "United States of America",
            "state_text": "STATE_ABBR_100"
          },
          "shipping_rates": [
            {
              "id": "shpr_UkLWZg9DAJ",
              "shipping_method_id": "shpm_UkLWZg9DAJ",
              "name": "UPS Ground",
              "selected": true,
              "cost": "100.0",
              "display_cost": "$100.00",
              "shipping_method": {
                "id": "shpm_UkLWZg9DAJ",
                "name": "UPS Ground",
                "code": "UPS_GROUND"
              }
            }
          ]
        }
      ],
      "payments": [],
      "bill_address": {
        "id": "addr_EfhxLZ9ck8",
        "firstname": "John",
        "lastname": "Doe",
        "full_name": "John Doe",
        "address1": "99 Lovely Street",
        "address2": "Northwest",
        "city": "Herndon",
        "zipcode": "35005",
        "phone": "555-555-0199",
        "company": "Company",
        "country_name": "United States of America",
        "country_iso": "US",
        "state_text": "STATE_ABBR_99",
        "state_abbr": "STATE_ABBR_99",
        "quick_checkout": false,
        "state_name": "STATE_NAME_99"
      },
      "ship_address": {
        "id": "addr_VqXmZF31wY",
        "firstname": "John",
        "lastname": "Doe",
        "full_name": "John Doe",
        "address1": "100 Lovely Street",
        "address2": "Northwest",
        "city": "Herndon",
        "zipcode": "35005",
        "phone": "555-555-0199",
        "company": "Company",
        "country_name": "United States of America",
        "country_iso": "US",
        "state_text": "STATE_ABBR_100",
        "state_abbr": "STATE_ABBR_100",
        "quick_checkout": false,
        "state_name": "STATE_NAME_100"
      },
      "payment_methods": []
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer
q[state_eq]
string

Filter by order state

q[completed_at_gte]
string

Filter by completion date (after)

Response

orders found

data
object[]
meta
object